Skip to main content
Network Management/Network Resources/Distributed Port Group Related Interfaces
PUTDistributed Port Group Related InterfacesSince 4.2.0SynchronousAuth Required

UpdatePortGroup

UpdatePortGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updateportgroupObjectRequired

    updateportgroup request body object.

    • nameString

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • dnsDomainString

      Optional. The DNS domain.

    • categoryString

      Optional. The network type. It must be used with the system tag. When system is true, it can be set to Public or Private.

    • systemBoolean

      Optional. Whether it is used for a system Virtual Machine.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryL3NetworkInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • typeStringRequired

      类型。

    • zoneUuidStringRequired

      The Data Center UUID.

    • l2NetworkUuidStringRequired

      The port group Distributed Switch UUID.

    • stateStringRequired

      当前状态。

    • dnsDomainStringRequired

      DNS域。

    • systemBooleanRequired

      系统。

    • categoryStringRequired

      类型分类。

    • ipVersionIntegerRequired

      The IP protocol number.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • dnsListRequired

      No description provided.

    • ipRangesListRequired

      See ipRanges.

      • uuidStringRequired

        The resource UUID.

      • l3NetworkUuidStringRequired

        The Distributed Port Group UUID.

      • nameStringRequired

        The resource name.

      • descriptionStringRequired

        The detailed description of the resource.

      • startIpStringRequired

        The start IP address.

      • endIpStringRequired

        The end IP address.

      • netmaskStringRequired

        The netmask.

      • prefixLenStringRequired

        The prefix length.

      • gatewayStringRequired

        The gateway.

      • networkCidrStringRequired

        The network CIDR.

      • ipVersionIntegerRequired

        The IP protocol number.

      • addressModeStringRequired

        The IPv6 address allocation mode.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • ipRangeTypeIpRangeTypeRequired

        See ipRangeType.

        • NormalIpRangeTypeRequired

          Normal address range.

        • AddressPoolIpRangeTypeRequired

          Address pool range.

    • networkServicesListRequired

      See networkServices.

      • l3NetworkUuidStringRequired

        The Distributed Port Group UUID.

      • networkServiceProviderUuidStringRequired

        The network service provider UUID.

      • networkServiceTypeStringRequired

        No description provided.

    • hostRouteListRequired

      See hostRoute.

      • idLongRequired

        资源ID。

      • l3NetworkUuidStringRequired

        The Distributed Port Group UUID.

      • prefixStringRequired

        No description provided.

      • nexthopStringRequired

        No description provided.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

PUT/zstack/v1/l3-networks/port-group/{uuid}/actions

/zstack/v1/l3-networks/port-group/{uuid}/actions

Operation ID

UpdatePortGroup

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/l3-networks/port-group/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateportgroup":{"name":"<name>","description":"<description>","dnsDomain":"<dnsDomain>","category":"<category>","system":true},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "vSwitchUuid": "d0d6d19b51ef3ec18b9607a51ac8fa47", "vlanMode": "ACCESS", "vlanId": 100, "uuid": "20f61c97cf2e32e58bed3812144de79d", "name": "port-group-1", "description": "Test", "type": "portGroup", "zoneUuid": "231b37f483e93801bad53885c1fe3cdb", "l2NetworkUuid": "60cbdcfee56831cdb8324aa7d9797032", "state": "Enabled", "system": false, "category": "Private", "enableIPAM": false } }

Change History

This API has no change history records yet.

View all change history